import { EntitySchema } from '@isa/common/data-access';
import { z } from 'zod';

export const DisplayLogisticianSchema = z
  .object({
    name: z.string().describe('Name').optional(),
    logisticianNumber: z.string().describe('Logistician number').optional(),
    gln: z.string().describe('Gln').optional(),
  })
  .extend(EntitySchema.shape);

export type DisplayLogistician = z.infer<typeof DisplayLogisticianSchema>;
